Page MenuHomePhabricator

Integrate 'Number of Changes Selector' in the new filters for edit review
Closed, ResolvedPublic8 Story Points

Description

The Number of Changes Selector enables users to select how many changes they wish to see in Recent Changes results.

Number of Changes Selector Functions

  • The selector is accessed by means of a button visible on the main interface. The button shows a downward-facing arrow the currently selected number of changes in the format: Show last X changes.
  • Clicking the button opens a menu that lists the following options under "Changes to show": 20, 50, 100, 250, 500
  • When the user makes a selection, the following things happen:
    1. In the menu, the selection remains highlighted in blue
    2. The top-level button label changes to reflect the new selection (e.g., "Show last 50 changes" becomes "Show last 100 changes").
    3. The search results update to implement the new limit.
  • The menu also includes the following "Sorting" options, with associated radio buttons: "Newest first", "Oldest first" -- moved to T172240

Layout guidelines

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Is it on this ticket that you will explore the integration of topOnly=1?
This option allows people to have only the last edit displayed in the results.

Is it on this ticket that you will explore the integration of topOnly=1?
This option allows people to have only the last edit displayed in the results.

I'm not familiar with such option. Can you describe it with more detail?

Trizek-WMF added a comment.EditedApr 21 2017, 2:33 PM

topOnly=1 allows you to have only the last edit on a given page. I don't know if it works on all pages linked to recent changes.

I'm used to patrol newbies' contributions as a volunteer. To do it, I go to Special:Contributions, where there is an option to show contributions of new accounts only.

Then, I select "Only show edits that are latest revisions". This way I have all contributions from newbies that haven't been reviewed yet. Last edits are most of time not vandalism but things that may need improvements. It is also a way to have all last edits that haven't been re-edited since.

Edit - I have been confused: this is not an option available on RecentChanges. But on fr.wp, it is available as an option in Mediawiki:contributions-summary.

@Trizek, I love that option. Can you write up a ticket to make this a new filter option? Tag to RC Page.

@Trizek, I love that option. Can you write up a ticket to make this a new filter option? Tag to RC Page.

T163561: Add filter group for 'Last revision' to the RC Filters

Trizek-WMF removed a subscriber: Trizek.Apr 21 2017, 3:44 PM
Catrope set the point value for this task to 8.Apr 29 2017, 1:44 AM
Catrope added a subscriber: Catrope.

This shouldn't be too much work, but note that the "Sort by" feature depends on the ability to sort backwards at all (see T164134: Implement pagination in ChangesList backend). Also, the toggle for "Show live updates" can't be implemented until we actually have live updates, and there are no designs or tasks for that yet.

This shouldn't be too much work, but note that the "Sort by" feature depends on the ability to sort backwards at all (see T164134: Implement pagination in ChangesList backend). Also, the toggle for "Show live updates" can't be implemented until we actually have live updates, and there are no designs or tasks for that yet.

It makes sense to approach this in a modular way. The "sort by" part was expected to be provided only when technically feasible, and "live updates" is still an idea in development we still need to finalise (and it is possible it will be provided in a different place).

Pginer-WMF updated the task description. (Show Details)May 25 2017, 10:57 AM
jmatazzoni renamed this task from Integrate result size selection in the new filters for edit review to Integrate 'Number of Changes Selector' in the new filters for edit review.Jun 7 2017, 10:39 PM
jmatazzoni updated the task description. (Show Details)

Change 360385 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] [wip] RCFilters: Add 'limit' and 'days' parameters with hidden group

https://gerrit.wikimedia.org/r/360385

Change 361186 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] [wip] RCFilters: Add range group filters - limit and days

https://gerrit.wikimedia.org/r/361186

Change 360385 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add 'single_option' group type

https://gerrit.wikimedia.org/r/360385

Change 361186 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add range group filters - limit, days and hours

https://gerrit.wikimedia.org/r/361186

Etonkovidova added a subscriber: Etonkovidova.EditedJul 27 2017, 12:07 AM

(1) @jmatazzoni

Clicking the button opens a menu that lists the following options under "Changes to show": 20, 50, 100, 250, 500

The option to show 20 changes should be added? Currently it's not added anywhere - betalabs and several wikis I checked do not have it.

(2) "Newest first" and "Oldest first" options are not implemented yet.

(1) @jmatazzoni

Clicking the button opens a menu that lists the following options under "Changes to show": 20, 50, 100, 250, 500

The option to show 20 changes should be added? Currently it's not added anywhere - betalabs and several wikis I checked do not have it.

We just went with what the current interface offers, and 20 isn't in there. It can be added if you want.

(2) "Newest first" and "Oldest first" options are not implemented yet.

That's blocked on T164134: Implement pagination in ChangesList backend (as part of the pagination changes we'll also gain the ability to reverse the sort order).

(1) @jmatazzoni

Clicking the button opens a menu that lists the following options under "Changes to show": 20, 50, 100, 250, 500

The option to show 20 changes should be added? Currently it's not added anywhere - betalabs and several wikis I checked do not have it.

We just went with what the current interface offers, and 20 isn't in there. It can be added if you want.

20 was proposed because the Contributions page provided such option. I was trying to unify the options to reduce the current fragmentation of tools. But if we think that usecases are so different that 20 does not makes sense here we can skip it.

I have no strong opinion on whether we should or should not add 20 (@jmatazzoni: do you?), but I do think that if we do add it, we should also add it to the non-beta version of RecentChanges (the old interface where it says Show last 50 | 100 | 250 | 500 changes) for consistency.

I see no reason to add 20, since we're not currently planning to extend this to Contributions. And anyone who is using a link with a value not shown will be accommodated. So I think we're good.

Thx, @jmatazzoni
Now I am waiting for the implementing "Newest first", "Oldest first"

In T162786#3483395, @Etonkovidova wrote:

Thx, @jmatazzoni
Now I am waiting for the implementing "Newest first", "Oldest first"

Elena, I moved all the 'Oldest first' requirements to a separate ticket, T172240 , since that function is slated for release later in the process. Please move this on.

jmatazzoni closed this task as Resolved.Aug 2 2017, 2:23 AM

Actually, I'll just close this now, since it looks like everything is green.

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 1 2018, 3:32 PM